Debian Bug report logs - #690693
ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM

version graph

Package: wnpp; Maintainer for wnpp is wnpp@debian.org;

Reported by: Neil Wilson <neil@aldur.co.uk>

Date: Tue, 16 Oct 2012 15:39:01 UTC

Owned by: Neil Wilson <neil@aldur.co.uk>

Severity: wishlist

Fixed in version thin-provisioning-tools/0.2.1-1

Done: Bastian Blank <waldi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, neil@aldur.co.uk, debian-devel@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org:
Bug#690693; Package wnpp. (Tue, 16 Oct 2012 15:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
New Bug report received and forwarded. Copy sent to neil@aldur.co.uk, debian-devel@lists.debian.org, debian-devel@lists.debian.org, wnpp@debian.org. (Tue, 16 Oct 2012 15:39:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Tue, 16 Oct 2012 15:38:05 +0000
Package: wnpp
Severity: wishlist
Owner: Neil Wilson <neil@aldur.co.uk>

* Package name    : thin-provisioning-tools
  Version         : 0.1.5
  Upstream Author : Red Hat, Inc.
* URL             : https://github.com/jthornber/thin-provisioning-tools
* License         : GPL v3
  Programming Lang: C++
  Description     : Tools to manage thinly provisioned volume metadata in LVM

Installs check, dump and restore tools that manage the thin volume
metadata in the thin provisioning pool. 



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>:
Bug#690693; Package wnpp. (Tue, 16 Oct 2012 16:27:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>. (Tue, 16 Oct 2012 16:27:03 GMT) Full text and rfc822 format available.

Message #10 received at 690693@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Neil Wilson <neil@aldur.co.uk>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Tue, 16 Oct 2012 18:23:05 +0200
On Tue, Oct 16, 2012 at 5:38 PM, Neil Wilson <neil@aldur.co.uk> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Neil Wilson <neil@aldur.co.uk>
>
> * Package name    : thin-provisioning-tools
>   Version         : 0.1.5
>   Upstream Author : Red Hat, Inc.
> * URL             : https://github.com/jthornber/thin-provisioning-tools
> * License         : GPL v3
>   Programming Lang: C++
>   Description     : Tools to manage thinly provisioned volume metadata in LVM
>
> Installs check, dump and restore tools that manage the thin volume
> metadata in the thin provisioning pool.

The message description is too terse to be useful for an average user.
What is "thinly provisioned volume metadata"? Does it have anything to
do with thin clients? Why would I or some system administrator want to
install the package?

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>:
Bug#690693; Package wnpp. (Tue, 16 Oct 2012 16:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Reinhard Tartler <siretart@gmail.com>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>. (Tue, 16 Oct 2012 16:27:05 GMT) Full text and rfc822 format available.

Message #15 received at 690693@bugs.debian.org (full text, mbox):

From: Reinhard Tartler <siretart@gmail.com>
To: Neil Wilson <neil@aldur.co.uk>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Tue, 16 Oct 2012 18:26:18 +0200
You might want to include some of the information of
http://fedoraproject.org/wiki/Features/ThinProvisioning to your
package description.

-- 
regards,
    Reinhard



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690693; Package wnpp. (Tue, 16 Oct 2012 16:33:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Tue, 16 Oct 2012 16:33:06 GMT) Full text and rfc822 format available.

Message #20 received at 690693@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: Reinhard Tartler <siretart@gmail.com>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Tue, 16 Oct 2012 17:31:08 +0100
On 16 October 2012 17:26, Reinhard Tartler <siretart@gmail.com> wrote:
> You might want to include some of the information of
> http://fedoraproject.org/wiki/Features/ThinProvisioning to your
> package description.

Thanks for taking the time to comment Reinhard. I will improve the
description along the lines you suggest.


-- 
Neil Wilson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>:
Bug#690693; Package wnpp. (Wed, 17 Oct 2012 13:03:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>. (Wed, 17 Oct 2012 13:03:06 GMT) Full text and rfc822 format available.

Message #25 received at 690693@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Neil Wilson <neil@aldur.co.uk>, 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Wed, 17 Oct 2012 14:01:56 +0100
On 16 October 2012 16:38, Neil Wilson <neil@aldur.co.uk> wrote:
> Package: wnpp
> Severity: wishlist
> Owner: Neil Wilson <neil@aldur.co.uk>
>
> * Package name    : thin-provisioning-tools
>   Version         : 0.1.5
>   Upstream Author : Red Hat, Inc.
> * URL             : https://github.com/jthornber/thin-provisioning-tools
> * License         : GPL v3
>   Programming Lang: C++
>   Description     : Tools to manage thinly provisioned volume metadata in LVM
>
> Installs check, dump and restore tools that manage the thin volume
> metadata in the thin provisioning pool.
>

If you have the package ready, I'd be happy to review it and sponsor
it. If you need sponsor that is.

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690693; Package wnpp. (Thu, 18 Oct 2012 10:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Thu, 18 Oct 2012 10:03:03 GMT) Full text and rfc822 format available.

Message #30 received at 690693@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: Dmitrijs Ledkovs <xnox@debian.org>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Thu, 18 Oct 2012 10:59:49 +0100
On 17 October 2012 14:01, Dmitrijs Ledkovs <xnox@debian.org> wrote:
> If you have the package ready, I'd be happy to review it and sponsor
> it. If you need sponsor that is.

I will need a sponsor and reviewer. I haven't done one of these for a
while so I may be a bit rusty on the latest standards.

I've packaged at https://github.com/NeilW/deb-thin-provisioning-tools

I've improved the description and the only wrinkle from a standard
autoconf package is that the MANDIR doesn't appear to be set correctly
in the upstream configure. Hence the alteration to debian/rules.

The package builds and is lintian clean. It should be pretty much ready to go.

This package does cause issues with the current Debian/Ubuntu lvm2
package which are corrected in newer versions of lvm2 upstream.

e.g. http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=f61cacad1604eaaef18389a46b07e35eb1072008
and
http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=8db4540263f607e2113a405953000527ffd34b3c

The Red Hat lvm2 package uses --with-thin-check=/usr/sbin/thin_check
to configure the default to the correct location for the check
executable.

There are many more patches to the dm thin support code in the lvm2
git archive. Are you planning to upgrade the Debian/Ubuntu packages to
newly released 2.2.98?

-- 
Neil Wilson



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>:
Bug#690693; Package wnpp. (Wed, 07 Nov 2012 17:24:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>. (Wed, 07 Nov 2012 17:24:07 GMT) Full text and rfc822 format available.

Message #35 received at 690693@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Neil Wilson <neil@aldur.co.uk>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Wed, 7 Nov 2012 17:22:40 +0000
On 18 October 2012 10:59, Neil Wilson <neil@aldur.co.uk> wrote:
> On 17 October 2012 14:01, Dmitrijs Ledkovs <xnox@debian.org> wrote:
>> If you have the package ready, I'd be happy to review it and sponsor
>> it. If you need sponsor that is.
>
> I will need a sponsor and reviewer. I haven't done one of these for a
> while so I may be a bit rusty on the latest standards.
>
> I've packaged at https://github.com/NeilW/deb-thin-provisioning-tools
>
> I've improved the description and the only wrinkle from a standard
> autoconf package is that the MANDIR doesn't appear to be set correctly
> in the upstream configure. Hence the alteration to debian/rules.
>
> The package builds and is lintian clean. It should be pretty much ready to go.
>
> This package does cause issues with the current Debian/Ubuntu lvm2
> package which are corrected in newer versions of lvm2 upstream.
>
> e.g. http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=f61cacad1604eaaef18389a46b07e35eb1072008
> and
> http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=8db4540263f607e2113a405953000527ffd34b3c
>
> The Red Hat lvm2 package uses --with-thin-check=/usr/sbin/thin_check
> to configure the default to the correct location for the check
> executable.
>
> There are many more patches to the dm thin support code in the lvm2
> git archive. Are you planning to upgrade the Debian/Ubuntu packages to
> newly released 2.2.98?
>

Debian is currently frozen. And in Ubuntu I am not planning to go
ahead of Debian (unstable/experimental).
You should talk to Debian lvm2 maintainers to get lvm2 updated in
experimental if that's a pre-requisite for your package.

I didn't review your package yet.

While packaging in git is good, can you please generate a debian
source package and upload it into a dgetable location? E.g.
mentors.debian.net ? (that website also checks for common errors ahead
of sponsors).

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org:
Bug#690693; Package wnpp. (Wed, 09 Jan 2013 16:33:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Wilson <neil@aldur.co.uk>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org. (Wed, 09 Jan 2013 16:33:03 GMT) Full text and rfc822 format available.

Message #40 received at 690693@bugs.debian.org (full text, mbox):

From: Neil Wilson <neil@aldur.co.uk>
To: Dmitrijs Ledkovs <xnox@debian.org>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Wed, 9 Jan 2013 16:31:17 +0000
[Message part 1 (text/plain, inline)]
Uploaded a version to mentors:
https://mentors.debian.net/package/thin-provisioning-tools


On 7 November 2012 17:22, Dmitrijs Ledkovs <xnox@debian.org> wrote:

> On 18 October 2012 10:59, Neil Wilson <neil@aldur.co.uk> wrote:
> > On 17 October 2012 14:01, Dmitrijs Ledkovs <xnox@debian.org> wrote:
> >> If you have the package ready, I'd be happy to review it and sponsor
> >> it. If you need sponsor that is.
> >
> > I will need a sponsor and reviewer. I haven't done one of these for a
> > while so I may be a bit rusty on the latest standards.
> >
> > I've packaged at https://github.com/NeilW/deb-thin-provisioning-tools
> >
> > I've improved the description and the only wrinkle from a standard
> > autoconf package is that the MANDIR doesn't appear to be set correctly
> > in the upstream configure. Hence the alteration to debian/rules.
> >
> > The package builds and is lintian clean. It should be pretty much ready
> to go.
> >
> > This package does cause issues with the current Debian/Ubuntu lvm2
> > package which are corrected in newer versions of lvm2 upstream.
> >
> > e.g.
> http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=f61cacad1604eaaef18389a46b07e35eb1072008
> > and
> >
> http://git.fedorahosted.org/cgit/lvm2.git/commit/?id=8db4540263f607e2113a405953000527ffd34b3c
> >
> > The Red Hat lvm2 package uses --with-thin-check=/usr/sbin/thin_check
> > to configure the default to the correct location for the check
> > executable.
> >
> > There are many more patches to the dm thin support code in the lvm2
> > git archive. Are you planning to upgrade the Debian/Ubuntu packages to
> > newly released 2.2.98?
> >
>
> Debian is currently frozen. And in Ubuntu I am not planning to go
> ahead of Debian (unstable/experimental).
> You should talk to Debian lvm2 maintainers to get lvm2 updated in
> experimental if that's a pre-requisite for your package.
>
> I didn't review your package yet.
>
> While packaging in git is good, can you please generate a debian
> source package and upload it into a dgetable location? E.g.
> mentors.debian.net ? (that website also checks for common errors ahead
> of sponsors).
>
> Regards,
>
> Dmitrijs.
>



-- 
Neil Wilson
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>:
Bug#690693; Package wnpp. (Thu, 30 May 2013 10:03:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Dmitrijs Ledkovs <xnox@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>. (Thu, 30 May 2013 10:03:04 GMT) Full text and rfc822 format available.

Message #45 received at 690693@bugs.debian.org (full text, mbox):

From: Dmitrijs Ledkovs <xnox@debian.org>
To: Neil Wilson <neil@aldur.co.uk>
Cc: 690693@bugs.debian.org
Subject: Re: Bug#690693: ITP: thin-provisioning-tools -- Tools to manage thinly provisioned volume metadata in LVM
Date: Thu, 30 May 2013 10:59:44 +0100
Debian is unfrozen, and I looked into reviewing your package.

The packaging is good. You did go with dh-make defaults, which are a
tiny bit out of date now (use debhelper 9, standards version 3.9.4,
and copyright format
http://www.debian.org/doc/packaging-manuals/copyright-format/1.0/).
But these are minor on-going improvements you can make to the package.
I am building updated lvm2 at the moment to actually test thin
provisioning, if it passes fine this package will be ready to be
uploaded.

Unfortunately mentors have deleted your package, I was reviewing your
package from git repository (fetched the tarball with uscan).

Please reupload source package, again, for a prompt upload into the archive.

Regards,

Dmitrijs.



Information forwarded to debian-bugs-dist@lists.debian.org, wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>:
Bug#690693; Package wnpp. (Sat, 13 Jul 2013 12:15:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Bastian Blank <waldi@debian.org>:
Extra info received and forwarded to list. Copy sent to wnpp@debian.org, Neil Wilson <neil@aldur.co.uk>. (Sat, 13 Jul 2013 12:15:04 GMT) Full text and rfc822 format available.

Message #50 received at 690693@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 690693@bugs.debian.org
Cc: 690693-submitter@bugs.debian.org
Subject: lvm team
Date: Sat, 13 Jul 2013 14:10:33 +0200
Hi

I don't think it is a good idea to maintain thin-privisioning-tools
separat from the sole user, lvm2. I intend to take this package under
the lvm team.

Bastian

-- 
Landru! Guide us!
		-- A Beta 3-oid, "The Return of the Archons", stardate 3157.4



Message sent on to Neil Wilson <neil@aldur.co.uk>:
Bug#690693. (Sat, 13 Jul 2013 12:15:07 GMT) Full text and rfc822 format available.

Added tag(s) pending. Request was from Anibal Monsalve Salazar <anibal@debian.org> to control@bugs.debian.org. (Sat, 13 Jul 2013 20:06:08 GMT) Full text and rfc822 format available.

Reply sent to Bastian Blank <waldi@debian.org>:
You have taken responsibility. (Fri, 09 Aug 2013 23:18:05 GMT) Full text and rfc822 format available.

Notification sent to Neil Wilson <neil@aldur.co.uk>:
Bug acknowledged by developer. (Fri, 09 Aug 2013 23:18:05 GMT) Full text and rfc822 format available.

Message #60 received at 690693-close@bugs.debian.org (full text, mbox):

From: Bastian Blank <waldi@debian.org>
To: 690693-close@bugs.debian.org
Subject: Bug#690693: fixed in thin-provisioning-tools 0.2.1-1
Date: Fri, 09 Aug 2013 23:15:08 +0000
Source: thin-provisioning-tools
Source-Version: 0.2.1-1

We believe that the bug you reported is fixed in the latest version of
thin-provisioning-tools, which is due to be installed in the Debian FTP archive.

A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 690693@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Bastian Blank <waldi@debian.org> (supplier of updated thin-provisioning-tools package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@ftp-master.debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Mon, 01 Jul 2013 19:53:41 +0000
Source: thin-provisioning-tools
Binary: thin-provisioning-tools
Architecture: source amd64
Version: 0.2.1-1
Distribution: unstable
Urgency: low
Maintainer: Debian LVM Team <pkg-lvm-maintainers@lists.alioth.debian.org>
Changed-By: Bastian Blank <waldi@debian.org>
Description: 
 thin-provisioning-tools - Tools for handling thinly provisioned device-mapper meta-data
Closes: 690693
Changes: 
 thin-provisioning-tools (0.2.1-1) unstable; urgency=low
 .
   * Initial release. (closes: #690693)
   * Fix build system.
Checksums-Sha1: 
 449aaa5513e2049269aa7833713cb7c3bc666401 1436 thin-provisioning-tools_0.2.1-1.dsc
 5f36deb7beb238db3ac77322cd4b10f8426fcf33 135543 thin-provisioning-tools_0.2.1.orig.tar.gz
 eaef72ef1d7342c721779383fd6515173f020510 2674 thin-provisioning-tools_0.2.1-1.debian.tar.gz
 c6a31ed52bb6f3c94dd47b5a9e9809ede35e9ba8 714598 thin-provisioning-tools_0.2.1-1_amd64.deb
Checksums-Sha256: 
 9bfdfa4ee8cf146559744fa1cbe38e6707e69d3fe7c5b1dc434d724464633722 1436 thin-provisioning-tools_0.2.1-1.dsc
 1803d2e6db6a5ce20e169110a5e7d06d19feae5dd9a9dbb17d0b7e2064365917 135543 thin-provisioning-tools_0.2.1.orig.tar.gz
 5058d45f1f9dd506474ccd485747fbaad1711e00d95848915ea13a44848b17d5 2674 thin-provisioning-tools_0.2.1-1.debian.tar.gz
 bdd0dba12668d79d04a7c7c5f41c7821e9e7ad83a95bd688b371bc3db9de1824 714598 thin-provisioning-tools_0.2.1-1_amd64.deb
Files: 
 a5280de7c1b6b8b3a2c540542bedeab5 1436 admin optional thin-provisioning-tools_0.2.1-1.dsc
 645ebf30aa6b7f8a5462014571bc1e88 135543 admin optional thin-provisioning-tools_0.2.1.orig.tar.gz
 ec07c01db2c82a3b2f1b7b5f04b83b84 2674 admin optional thin-provisioning-tools_0.2.1-1.debian.tar.gz
 db63660de0dd2b6d73a269dd376ca6f4 714598 admin optional thin-provisioning-tools_0.2.1-1_amd64.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAlHhlsgACgkQLkAIIn9ODhG3uQCfUSdJ6DZelQj9X1TxWvfuYHl8
AE4An0zkp2o18VcCJMDPLz5PuvQNt16q
=5tt+
-----END PGP SIGNATURE-----




Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Sat, 07 Sep 2013 07:36:38 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 12:07:23 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.